# Directory for scraping [aon2e](https://2e.aonprd.com/Sources.aspx?ID=1)

## Current languages
* Python

### Python requirements
1. Python 3.6.8
2. pip
3. pandas 0.24.2
4. requests 2.21.0
5. beautifulsoup4==4.8.0
6. time
7. re

#### Spells
| Column | Data type | Comments |
| ------ | ------ | ------ |
| name | string | |
| level | integer | 1 to 9 |
| traits | list of strings | None may be possible |
| source | string | Follows format 'Core Rulebook pg. ?' |
| traditions | list of strings | should not contain any empty lists |
| actions | list of integers or string | contains either a list of integers representing the number of actions or a string representing the time to cast error handling isn't complete |
| components | list of strings | currently only contains material, somatic or verbal |
| spell_range | string | |
| target | string | |
| description | string | TODO separators for blank lines and  |
| save | string | |
| duration | string | |
| success | ? | list of dictionaries maybe? |
| heighten | ? | list of dictionaries maybe? |